Description: move C files to ext/ subdirectory
 so that gem2deb gem install layout works as expected
 the actual moving of files is in debian/rules
Author: Cédric Boutillier <boutil@debian.org>
Last-Update: 2021-10-12
Forwarded: no
--- a/rbtree.gemspec
+++ b/rbtree.gemspec
@@ -14,9 +14,9 @@
   s.authors = ["OZAWA Takuma".freeze]
   s.date = "2022-12-10"
   s.description = "A RBTree is a sorted associative collection that is implemented with a\nRed-Black Tree. It maps keys to values like a Hash, but maintains its\nelements in ascending key order. The interface is the almost identical\nto that of Hash.\n".freeze
-  s.extensions = ["extconf.rb".freeze]
-  s.extra_rdoc_files = ["README".freeze, "rbtree.c".freeze]
-  s.files = ["LICENSE".freeze, "MANIFEST".freeze, "README".freeze, "depend".freeze, "dict.c".freeze, "dict.h".freeze, "extconf.rb".freeze, "rbtree.c".freeze, "test.rb".freeze]
+  s.extensions = ["ext/extconf.rb".freeze]
+  s.extra_rdoc_files = ["README".freeze, "ext/rbtree.c".freeze]
+  s.files = ["LICENSE".freeze, "MANIFEST".freeze, "README".freeze, "depend".freeze, "ext/dict.c".freeze, "ext/dict.h".freeze, "ext/extconf.rb".freeze, "ext/rbtree.c".freeze, "test.rb".freeze]
   s.homepage = "http://rbtree.rubyforge.org/".freeze
   s.licenses = ["MIT".freeze]
   s.rdoc_options = ["--title".freeze, "Ruby/RBTree".freeze, "--main".freeze, "README".freeze, "--exclude".freeze, "\\A(?!README|rbtree\\.c).*\\z".freeze]
